#
# spec file for package glade3
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           glade3
Version:        3.8.5
Release:        7.3
Summary:        User Interface Builder for GTK+ 2
License:        GPL-2.0+
Group:          Development/Tools/GUI Builders
Url:            http://glade.gnome.org/
Source:         http://download.gnome.org/sources/glade3/3.8/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  intltool
BuildRequires:  libgnomeui-devel
BuildRequires:  pkg-config
BuildRequires:  python-gtk-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
Recommends:     %{name}-lang
# The old glade (version 2 -- last version was 2.12.2) is completely replaced by this version
Provides:       glade = 2.12.2
Obsoletes:      glade < 2.12.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Glade is a RAD tool to enable quick & easy development of user
interfaces for the Gtk+ toolkit and the GNOME desktop environment.

%package -n libgladeui-1-11
Summary:        User Interface Builder for GTK+ 2
Group:          Development/Tools/GUI Builders
Recommends:     %{name}-lang

%description -n libgladeui-1-11
Glade is a RAD tool to enable quick & easy development of user
interfaces for the Gtk+ toolkit and the GNOME desktop environment.

%package -n libgladeui-1-devel
Summary:        User Interface Builder for GTK+ 2 -- Development Files
Group:          Development/Libraries/C and C++
Requires:       libgladeui-1-11 = %{version}
Provides:       libgladeui-1_0-devel = %{version}
Obsoletes:      libgladeui-1_0-devel < %{version}
Provides:       libgladeui-1_0-doc = %{version}
Obsoletes:      libgladeui-1_0-doc < %{version}

%description -n libgladeui-1-devel
Glade is a RAD tool to enable quick & easy development of user
interfaces for the Gtk+ toolkit and the GNOME desktop environment.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure --disable-static --with-pic\
	--disable-scrollkeeper
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%suse_update_desktop_file -N Glade glade-3
%find_lang %{name} %{?no_lang_C}
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%post -n libgladeui-1-11 -p /sbin/ldconfig

%postun -n libgladeui-1-11 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.GPL COPYING.LGPL ChangeLog NEWS README TODO
%defattr (-, root, root)
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/glade3/
%doc %{_datadir}/gnome/help/glade3/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/glade3/
%doc %{_datadir}/omf/glade3/glade3-C.omf
%{_bindir}/glade-3
%{_datadir}/applications/glade-3.desktop
%{_datadir}/glade3/
%{_datadir}/icons/hicolor/*/apps/glade-3.*
%{_libdir}/glade3/modules/libgladegnome.so
%{_libdir}/glade3/modules/libgladegtk.so
%{_libdir}/glade3/modules/libgladepython.so

%files -n libgladeui-1-11
%defattr (-, root, root)
%{_libdir}/libgladeui*.so.*
# These directories are needed by third-party catalogs, and are explicitly
# referenced in the pkg-config file, so it makes sense to own them here
%dir %{_datadir}/glade3
%dir %{_datadir}/glade3/catalogs
%dir %{_datadir}/glade3/pixmaps
%dir %{_datadir}/glade3/pixmaps/hicolor
%dir %{_datadir}/glade3/pixmaps/hicolor/*
%dir %{_datadir}/glade3/pixmaps/hicolor/*/actions
%dir %{_libdir}/glade3
%dir %{_libdir}/glade3/modules

%files -n libgladeui-1-devel
%defattr (-, root, root)
%{_includedir}/libgladeui-1.0/
%{_libdir}/pkgconfig/gladeui-1.0.pc
%{_libdir}/libgladeui*.so
%doc %{_datadir}/gtk-doc/html/gladeui/

%files lang -f %{name}.lang

%changelog
* Tue Jul  1 2014 dimstar@opensuse.org
- Update to version 3.8.5:
  + Backported topological sort object dependancy.
  + Change way of sorting before writing XML output (bgo#709609).
  + editing glade project results in long CPU usage spikes after
    upgrading to 3.16 and GTK+3.10 (bgo#711858).
  + backport support for GtkComboBoxText (bgo#689667).
  + Backported feature to make GladeProject remember unknown object
    classes.
* Thu Sep 19 2013 zaitor@opensuse.org
- Update to version 3.8.4:
  + RadioButton information lost on cut+paste, add/remove parent,
    etc (bgo#625867).
  + Fixed glade_gtk_image_get_property() chainup.
  + Fixed bug that prevented the runtime object to show the right
    pixbuf when copying a GtkImage.
  + Improved pango text integer attributes editors (bgo#679006).
  + "The "size" attribute for labels only accepts integer values.
  + Freeze when changing toolbutton type after renaming it
    (bgo#616834).
  + Saving as an existing file name except the extension
    overwrites without confirmation (bgo#584381).
  + SIGSEGV in glade_widget_adaptor_object_construct_object loading
    ui file (bgo#646259).
  + Glade loses widget's tooltips on Cut/Paste (bgo#694081).
  + SEGV when creating a new GtkDialog (GLib 2.37.x) (bgo#702886).
  + Made a few ui fixes, like removing unnecessary shadows in the
    workspace and property editor.
  + Replaced old atk icon with new one.
* Tue Dec  4 2012 dimstar@opensuse.org
- Update to version 3.8.3:
  + Backported fix "Use Action Appearance not supported for GTK
    2.12 but added to widgets in Glade 3.8.2" (bgo#679589).
  + Backported build/mingw-w64 directory with script to cross
    compile and create windows installer using nsis.
* Tue Mar 27 2012 vuntz@opensuse.org
- Update to version 3.8.2:
  + Improved performance of modifying GtkTable contents (bgo#663516).
  + Make size groups widget selection work (bgo#647984).
  + Build fixes (including bgo#646997, bgo#665784).
- Drop glade3-explicit-gmodule.patch: fixed upstream.
- Stop passing --enable-gtk-doc to configure: it's not needed (the
  doc is already built in the tarball) and it breaks the build.
  Also remove gtk-doc BuildRequires.
* Wed Dec 21 2011 vuntz@opensuse.org
- Add glade3-explicit-gmodule.patch: explicitly link to
  gmodule-2.0, to fix build with latest glib.
* Tue Oct 11 2011 zaitor@opensuse.org
- Update to version 3.8.1:
  + Correctly detect the required devhelp version.
  + Sort objects in output by property reference, ensures a
    GtkTreeModelFilter gets serialized after its 'child-model'
    (bgo#657164).
  + Fixed crashers when performing "Remove Parent" (bgo#657338).
  + Ensure 'use-action-appearance' is serialized before
    'related-action' (bgo#658497).
  + Properly escape special characters while serializing property
    values (bgo#654609).
  + Fix GladeProject to notify "row-has-child-toggled"
    (bgo#651673).
* Tue May  3 2011 vuntz@opensuse.org
- Update to version 3.8.0:
  + Added support for GtkToolPalette and GtkToolItemGroup
  + Removed User Manual link from Glade frontend (since the user
    manual is still empty and not online anywhere).
  + Backed out preview feature from 3.8.
  + Include new icons
  + Fixed bgo#633943, bgo#503621, bgo#629900, bgo#597045,
    bgo#622839
- Changes from version 3.7.3:
  + Added support for deprecated GtkOptionMenu.
  + Restore proper order of glade file at save time.
  + Hide editor properties when the property is not available on
    the widget (bgo#585299)
  + Fixed mixups of properties/packing properties (bgo#637475)
  + Fixed class header of GladeEditor to update when widgets unload
    (bgo#637541)
  + Fixed nasty crasher with column types (bgo#637563)
  + Added progress bar to notebook tabs while loading projects.
  + Added custom editor for editing GtkActionGroup and its child
    actions.
  + Use locale-independent strtod & dtostr (bgo#616787)
  + Fixed loaded state of use-action-appearance so that it always
    loads as FALSE if there is no "related-action" at load
    time (bgo#582882)
  + Fixed other misc bugs (including bgo#521713, bgo#633957,
    bgo#634978).
- Changes from version 3.7.2:
  + Fixed user/developer url locations
  + Fixed ComboBox and IconView to include basic actions in the
    popup menu
  + Revived the "misc" column on the project data model (now the
    inspector shows whether a widget is an internal child or a
    frame's label or such, again).
  + Expose GtkAssistant:complete packing property (bgo#529595)
  + Implemented Preview feature, Glade now includes a project
    previewing program that is accessible in the UI and runs as a
    child process
  + Ignore "resize-mode" property incase of crashes (bgo#622996)
  + Fixed errors when undoing the addition of notebook pages.
  + Default adjustment page size -> 0 (bgo#585085)
  + Removing frame shadow (and label) from project preferences
    (bgo#574098)
  + Setting dialog type-hint default to Dialog (bgo#459917)
  + Fixed floating project menus when context menu is fired
    (bgo#141714)
  + Removed notion of project "instance_count" (which is by now
    unused).
  + Avoid clearing the project selection from the inspector
    (bgo#604322)
  + Set added treeviewcolumns to fixed sizing mode if the treeview
    is set to use fixed height mode (bgo#596480)
  + Fixed GtkComboBox to handle cell-layout children as well as the
    possible internal entry (bgo#581580)
  + Notify GtkTreeIter changes when the widget name changes (now
    the inspector updates when a widget name is changed
    automatically).
  + Fixed various crashes, (including bgo#365462, bgo#609748,
    bgo#622528, bgo#628233)
  + Various code improvements.
- Changes from version 3.7.1:
  + Changed "Close without saving" acelerator key from 'c' to 'w',
    (bgo#612538)
  + Save Glade files with UTF-8 encoding (bgo#596205)
  + Save maximized window state of all windows in session data
    (bgo#607670)
  + Fixed signal name serialization in GtkBuilder format to use '-'
    instead of '_' (bgo#600031)
  + Disable orientation properties completely and disregard them
    wherever they cause breakage (bgo#594231)
  + Now print a summery of all missing icons at startup instead of
    a warning for each missing icon
  + Integrated GtkToolPalette as the internal implementation of
    Glade's palette (bgo#613956)
  + Added tooltip to palette (bgo#558983)
  + Revamped internal treeview support, less warnings and better
    refresh of workspace when editing cell renderer attributes and
    liststores.
  + Glade now loads/saves the "swapped" <signal> attribute.
  + Signal editor revamped to now:
  - show documentation links
  - show warning icons for version mismatches
  - edit "swapped" attribute
  - edit the user-data object using an object selection dialog.
  - now the signal editor is a proper widget-class (bgo#618020)
  + Disallow adding of non-scrollable widgets to scrolled windows
    (now an informative popup comes up instead).
  + Fixed hangs in menu/treeview editors (bgo#609612)
  + Added support to add GtkActions to GtkActionGroups
  + Added support to edit the <accelerator> for an action when in a
    group.
  + Added notebook tabs to the Glade frontend with informative
    labels (per open project).
  + Stop showing preferences dialog at startup time (bgo#574095)
  + GladeProject now implements GtkTreeModel and GladeInspector
    view saves lots of code
  + Allow destruction of GladeApp object (bgo#618468).
  + Fixed various crashes.
  + Code improvements (including bgo#581255)
- Rename libgladeui-1-9 to libgladeui-1-11 after soname change.
- Rename libgladeui-1_0-devel to libgladeui-1-devel: this matches
  the name of the library (instead of trying to match the name of
  the pkgconfig file, wrongly). Add appropriate Provides/Obsoletes.
- Change Obsoletes of libgladeui-1_0-doc to be < instead of <= to
  fix rpmlint warning: it is safe since we have a new version.
- Remove explicit Requires for gtk2-devel and libxml2-devel in
  devel subpackage: they will automatically be added the
  pkgconfig() way.
- Change summaries to mention that this version of glade is for
  GTK+ 2.
- Improve descriptions of packages: they were still mentioning some
  old information about libglade, and we should not encourage
  people to use this deprecated library.
- Do not pass --disable-static twice to configure.
* Mon Feb 14 2011 vuntz@opensuse.org
- Make libgladeui-1-9 own directories where third-party apps
  install catalogs.
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Sat Aug  7 2010 vuntz@opensuse.org
- Add Provides/Obsoletes for glade, which is getting removed for
  openSUSE 11.4.
* Sat Apr 24 2010 coolo@novell.com
- buildrequire pkg-config to fix provides
* Tue Mar 23 2010 dimstar@opensuse.org
- Remove en@shaw locale on openSUSE <= 11.2.
* Thu Mar 11 2010 dimstar@opensuse.org
- Update to version 3.7.0:
  + bgo#566928: Fixed loading state of assigned GtkTreeModels of
    GtkCellRendererCombo objects
  + bgo#595156: Fixed crasher while copying internal widgets
  + Support silent build when using automake >= 1.11
  + bgo#578484: Proper ordering of GtkAdjustment properties in
    glade files
  + Refactoring work for GSEAL
  + Avoid collapsing commands when a project is freshly saved (this
    fixes a false "unmodified" state after changing the same
    property before and after project save)
  + bgo#597059: Allow litteral strings as column type definitions
    in GtkTreeStores
  + Updated Glade GTK+ catalog info to include deprecations, new
    properties and signals since 2.18 and 2.20 and some
    translatable strings, some new objects this consequently adds:
  - GtkEntryBuffer
  - GtkSpinner
  - GtkCellRendererSpinner
  + bgo#608011: Fixed crasher editing some data types in the
    liststore data editor
  + Enhanced the GtkEntry editor to allow the user to chose between
    the "text" and the "buffer" exclusively.
* Wed Aug 19 2009 beineri@opensuse.org
- fix Name field of .desktop file
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 3.6.7:
  + Sync up remaining properties at load time (fixes
    use-action-appearance property and any other unmentioned
    property states at load time, also unvails broken orientation
    default value in GTK+, bgo#587256).
  + Fixed glitches with use-action-appearance at save time.
  + Make stock button labels save as non-translatable automatically
    (bgo#352446).
  + Fixed crashes when handling GtkTextView in GtkBuilder format.
  + Fixed crashes with editable treeview column types (bgo#586715).
  + Detect correct modifiers and buttons to spawn a context menu in
    a platform independant way (bgo#587128).
  + Added --enable-mac-bundle configure argument to resolve paths
    correctly when building bundles on osx.
* Sat Jun 27 2009 captain.magnus@opensuse.org
- Update to version 3.6.6:
  + Fixed missing image dialogs for packing properties
  + Make assistant page-titles translatable (bgo#503146)
  + Make GtkMessageDialog texts translatable (bgo586063)
  + Fixed obscure crash at project load time (bgo#585860)
  + Migrated to use non-deprecated symbols from glib/GTK+
    (bgo#572756)
  + Introspect lowest GTK+ project dependancy when loading files
    with missing versioning info (bgo#586046)
  + Fixed runtime path resolutions on osx
* Sat Jun 13 2009 vuntz@novell.com
- Update to version 3.6.5:
  + Quartz build support and use ige-mac-integration to setup the
    menubar as an optional build dependancy.
  + Fixed dissapearing dialogs on ESC (bgo#582559)
  + Really fixing widget naming policies again, this time I hope it
    sticks (bgo#580745)
  + Fixed relocated link problems with python plugin build
    (bgo#582982)
* Tue Jun  9 2009 vuntz@novell.com
- Update to version 3.6.4:
  + Check project naming policy at add_object() time (bgo#580745).
  + Fixed bug loading and saving icon sources.
  + Fixed sizes of fixed/layout children at load time (bgo#584334).
* Wed Apr 22 2009 vuntz@novell.com
- Update to version 3.6.3:
  + Maintain current widget selection during commits of
    related-action (was causing crashes when the selection changed
    as a result of a commit, bgo#578869)
  + GtkButton only accepts real stock *items* and not icons (to use
    an icon, use a GtkImage with an unrestricted stock icon)
  + Added documentation on integrating Python widgets
  + Fixed output format for GtkLabel attributes (bgo#579793)
  + Removed hard coded size request to palette (bgo#579624)
  + Made Atk proxy objects always have unique names (bgo#579565)
  + Removed buggy query dialog from notebook creation (bgo#578727)
* Thu Apr 16 2009 vuntz@novell.com
- Update to version 3.6.2:
  + Fixed missing properties/attributes when serializing GtkWindows
    (bgo#578211)
  + Fixed loading state of cellrenderer attributes (whether to use
    attribute or property directly, bgo#566928).
  + Updated translations.
* Tue Apr  7 2009 vuntz@novell.com
- Update to version 3.6.1:
  + Fixed win32 crasher (bgo#575206)
  + Fixed crasher on internal widget selection
  + Fixed libglade regression (libglade needs specific ordering of
    properties, atk props, signals and accelerators)
  + Fixed MSYS/MinGW build (bgo#576851)
  + Disable loading and displaying of 'data' property on
    GtkTreeStore (only GtkListStore understands the 'data'
    construct).
  + Properly initialize a GValue on stack (bgo#577822)
  + Updated translations.
* Mon Mar 16 2009 mboman@suse.de
- Update to version 3.6.0:
  + Bugs fixed: bgo#574260, bgo#573513, bgo#573453, bgo#574706,
    bgo#567809
  + Translation updates
- Don't package omf files twice (they are in the lang package too).
- Move gtk-doc to -devel (obsoleting -doc)
- Remove custom CFLAGS
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Fri Feb  6 2009 mboman@suse.de
- Update to version 3.5.7:
  + Added GladeDesignLayout::widget-event signal (bgo#542337)
  + GObjectify signal editor and allow custom signal editors
    (bgo#540691)
  + Make virtual properties in GTK+ 2.16 in order to support
    running from GTK+ 2.14 and targetting 2.16
  + New activatable editor to handle activatable properties in
    smart ways
  + Fix markup in confirm close dialog (bgo#567450)
  + Marked use-stock property from imagemenuitem to be save-always
    (bgo#568064)
  + Translation updates
* Wed Jan 28 2009 lmedinas@gmail.com
- Update to version 3.5.6:
  + Handling of new entry properties
  + Added filechooser dialog to pixbuf properties
  + Translation updates
* Mon Jan 26 2009 crrodriguez@suse.de
- remove "la" files
* Fri Jan 23 2009 vuntz@novell.com
- Drop glade3-3.5.2.diff: it's not needed anymore.
- Remove all static libraries.
* Tue Jan  6 2009 mboman@suse.de
- Update to version 3.5.5:
  + Model data editor improvments (sequential editing mode, better
    key navigation)
  + Treeview editor revamp, few crashers fixed
  + Few crashers fixed bgo#525839, bgo#522542
  + Expand inspector treeview by default
  + Many more bug fixes including bgo#533471
  + Added short readable versions of new enum/flag values
  + Fixed a crasher in the store editor
  + Focus always stays in the store editor when editing cells get cancelled
  + Better resizing in editors (property names/warnings expand, inputs dont)
  + Cleaned up gtk+ includes (bgo#561260)
  + Some code now available under LGPL
  + Translation updates
* Tue Dec 23 2008 lmedinas@gmail.com
- Update to version 3.5.4:
  + Introduced support for new Gtk widgets.
  + Misc Bug fixes.
  + Updated translations.
- Rename libgladeui-1-5 to libgladeui-1-7
* Mon Oct 20 2008 schwab@suse.de
- Fix missing declaration AGAIN.
* Wed Aug  6 2008 mboman@novell.com
- Updated to 3.5.2:
  + oops, was parsing booleans as doubles, fixed bugs with
    builder-unsupported and deprecated.
  + Added versioning support, you can always chose the target version of
    your project starting with gtk+ 2.8 - a project preferences dialog has
    been added where you can switch your format, switch your target version
    and test for incompatabilities. incompatability error dialogs are also
    launched on save as. Target versions are saved to the glade file;
    TODO: patch GtkBuilder to test the required gtk+ version from
    <requires lib="gtk+" version="2.8"> and at least warn, also let
    third party widget developers test thier own versions using builder
    (all new catalog tags and properties are also documented).
  + Resurrected GtkScaleButton and GtkVolumeButton
  + We finally have Vincent Geddes's icon choser dialog
    (was skipped before because of string changes)
  + Not allowed to have duplicate widget names anymore (bug bgo#442860)
  + Now the first widget in a project shows up automatically
    when opening the project.
  + Old parser was trashed and rewritten from the ground up.
  + New plugin support for read_widget() and write_widget(), also
    create_eprop() which allows the plugin to create widgets to
    edit properties in the editor (accelerators are edited from
    the plugin now for instance).
  + Dual file format support available, its a beginning, you dont
    get any of the GObjects that GtkBuilder supports but all widgets
    you were formerly using with glade can now be loaded/saved in
    builder format.
  + Api reference docs for embedders and widget authors ressurected
    after 2 years, concerning integrating widgets, the docs are
    practically rewritten.
  + Backed out GtkScaleButton and GtkVolumeButton since
    they introduced strings.
  + Translation updates.
* Thu Apr  3 2008 maw@suse.de
- Own %%{_datadir}/glade3/pixmaps/16x16.
* Mon Mar 31 2008 vuntz@suse.de
- Updated to version 3.4.3. Too many changes to list here.
- Remove glade3-3.1.5.diff, shouldn't be needed anymore.
- Add gnome-common buildrequires.
- Rename libgladeui-1-5 to libgladeui-1-7
* Mon Jan 21 2008 schwab@suse.de
- Fix missing declarations.
* Tue Oct 23 2007 sbrabec@suse.cz
- Updated to branch3, version 3.1.5:
  * complete rewrite of the original Glade codebase
  * C code generation has been removed from glade-3
  * designed to make maximal use of GObject introspection
  * stacked Undo/Redo and Multiple Project support
  * respects the same XML format as glade-2
- Split package according to library packaging policy.
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Thu Aug  9 2007 maw@suse.de
- Fix up the lang subpackage.
* Wed Aug  8 2007 mauro@suse.de
- Split out a -lang subpackage
- Add %%fdupes stuff
* Fri Aug  3 2007 maw@suse.de
- Add includes.patch.
* Mon Jan 15 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Fri Feb 17 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 sbrabec@suse.cz
- Update to version 2.12.1.
* Fri Sep 16 2005 rodrigo@suse.de
- Update to version 2.12.0
- Removed upstreamed patches.
* Fri Jul  8 2005 gekker@suse.de
- Re-enable gnome-db and patch it to work with the latest libgnomedb
- Fixup nfb
* Thu Jul  7 2005 gekker@suse.de
- Disable the gnome-db configure flag until we can update to the
  new GNOME DB APIs.
* Mon Jun 20 2005 sbrabec@suse.cz
- Updated to version 2.10.0.
- Added MIME type association (#8460, patch from Rodrigo Moya).
- Enabled GNOME DB support.
* Wed Mar 16 2005 clahey@suse.de
- Remove desktop file patch.
* Fri Feb 11 2005 gekker@suse.de
- Update to version 2.9.0
* Tue Jan 25 2005 gekker@suse.de
- Update to version 2.6.6
* Fri Oct 29 2004 ro@suse.de
- locale rename: no -> nb
* Tue Jun  8 2004 sbrabec@suse.cz
- Updated to version 2.6.0.
* Mon May 10 2004 clahey@suse.de
- Updated to 2.5.0.
- Added desktop file patch.
* Fri Feb 20 2004 sbrabec@suse.cz
- Package renamed to glade.
* Thu Feb 12 2004 sbrabec@suse.cz
- Updated to version 2.0.1.
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Tue Oct 28 2003 ro@suse.de
- added gtksourceview to neededforbuild
* Mon Sep  1 2003 adrian@suse.de
- add Category
* Mon Aug 18 2003 sbrabec@suse.cz
- Use libgda instead of libgda2 (package was renamed).
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 26 2003 sbrabec@suse.cz
- Updated to version 2.0.0.
- Updated neededforbuild.
- Use %%find_lang.
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Tue Oct 22 2002 hhetter@suse.de
- removed wrong docdir
- updated to version 1.1.2
* Tue Sep 24 2002 sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Mon Aug 12 2002 ro@suse.de
- removed control-center from neededforbuild
* Wed Jul 24 2002 hhetter@suse.de
- updated to version 1.1.1
- fix filelist
* Tue Jul  9 2002 hhetter@suse.de
- fix filelist
* Tue Jun 11 2002 hhetter@suse.de
- initial SuSE package
